package envoy.client.ui.listcell;

import javafx.scene.control.ListView;

import envoy.data.Message;

/**
 * A list cell containing messages represented as message controls.
 * <p>
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>MessageListCell.java</strong><br>
 * Created: <strong>18.07.2020</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public final class MessageListCell extends AbstractListCell<Message, MessageControl> {

	/**
	 * @param listView the list view inside of which the cell will be displayed
	 * @since Envoy Client v0.1-beta
	 */
	public MessageListCell(ListView<? extends Message> listView) { super(listView); }

	@Override
	protected MessageControl renderItem(Message message) {
		final var control = new MessageControl(message);
		prefWidthProperty().bind(listView.widthProperty().multiply(0.6));
		return control;
	}
}
